Bad Patch Leaves Adobe Security Hole?

By Brian Prince  |  Posted 2008-05-28 Print this article Print

A new patch issued by Adobe last month left a security hole that hackers have exploited.


Officials at Adobe are investigating a reported bug in Flash Player that hackers have used to compromise thousands of Web sites.

This kind of issue is becoming more prevalent as enterprise customers use browser plug-ins and other online applications.  

According to Symantec, the bug being exploited is the patched CVE 2007-0071, a flaw that can be exploited by hackers via a specially crafted SWF file. Adobe issued a patch for the vulnerability in April. However, security expert Ben Greenbaum said the patch is ineffective for some versions of Flash Player.

"The latest versions of all the plug-ins appear to be invulnerable," said Greenbaum, senior research manager at Symantec Security Response. "However, the standalone players on Linux [version]...are affected still."

The older Flash Player, version, is still vulnerable to attack. But users who have upgraded to the latest vesion on Windows and Mac OS X are not affected.  The flaw allows an attacker to execute code on a compromised machine,with the payloads generally including the installation of downloaders, backdoors and password-stealing Trojans. Estimates on the number of Web sites hosting the malicious SWF files vary; Symantec put the number at 20,000, while researchers at McAfee said a Google search uncovered nearly 250,000 page results when searching compromised sites that link to scripts that link to flash exploits.

Though the bug was initially thought to be zero-day vulnerability, SecureWorks researcher Don Jackson explained that tests have shown it is not. "I don't believe it's [a] zero-day," said Jackson, director of SecureWorks' Threat Intelligence Service. "I believe it was a new exploit, but we've used behavioral analysis - re-creations of the attacks using a debugger - and static analysis of the exploit files and Flash Player using disassemblers and other tools and they all match up to the known, patched integer overflow vulnerability described by Mark Dowd and listed as CVE-2007-0071.

"We can actually see the same operations being carried out on a field in the exploit's SWF [Flash] file as described by Dowd in his paper; and we see it being handled differently by the patched version [], which we have been unable to exploit using any of 18 different variants of the exploit we've collected from the wild."

Moving past whether or not it is a zero-day issue, Trend Micro's Jamz Yaneza noted that  there is a general problem of both Web sites and users running un-patched versions of applications.

"We've reported on this last year and again in our 2008 forecast that attacks are now more focused on common desktop applications - in particular those that are directly tied to the online experience such as browser plug-ins and those that are used to present rich multimedia," said Yaneza, threat research project manager at Trend.


He recommended that Internet Explorer users upgrade to the latest IE version, turn on the Phishing Filter, and change settings for automatic allow for ActiveX to "ask." Firefox users should install NoScript plugin and selectively run Adobe Flash and scripts, he said.


Submit a Comment

Loading Comments...
Manage your Newsletters: Login   Register My Newsletters

Rocket Fuel